language: cn
model_unique_abbr: flow_adjacency_based_anomaly_detection
version: 1.0

identification:
  docker_image_name: flow_adjacency_based_anomaly_detection:1.0
  model_name: 流邻近关系约束下的流空间异常探测
  semantic: Slow space anomaly detection
  description: 邻近关系约束下的流空间异常探测是一种探测地理流协变量相似、流过程或态势偏离的算法
  category_application: 诊断型
  category_data:
    - 流数据分析
  keywords:
    - 流空间
    - 异常探测

parameter_info:
  parameters:
    - arg_name: dataPath_1
      is_single_en_dash: false
      param_type: input_data
      name: 人群移动数据
      description: "人群移动数据,以csv的形式保存, 每行代表一个区域的传染病人群移动数据，每列代表一天的不同区域的数据"
      is_required: false
      data_type: csv
      data_semantic: spatial move trajectory  data


    - arg_name: dataPath_2
      is_single_en_dash: false
      param_type: input_data
      name: 疫情特征数据
      description: "疫情特征数据，以csv的形式保存，每行代表一个区域的疫情特征数据，每列代表一个特征的不同区域的数据，每天的数据按前述形式排列成行列矩阵存储，不同天的数据之间空一行"
      is_required: false
      data_type: csv
      data_semantic: spatial epidemic feature data

    - arg_name: a
      is_single_en_dash: false
      param_type: param
      name: 显著性水平阈值
      description: "显著性水平阈值，浮点型数值，大于0，默认为0.05"
      data_type: float
      data_semantic: significance level threshold
      specification:
        default: 0.05

    - arg_name: GorP
      is_single_en_dash: false
      param_type: param
      name: 全局异常检测/局部异常检测
      description: "全局异常探测/局部异常探测，默认为True，即全局异常探测"
      data_semantic: global anomaly detection/local anomaly detection
      data_type: enum
      specification:
        default: "True"
        enum:
          - "True"
          - "False"

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 异常探测结果
      description: "异常探测输出结果路径，这里输入的是文件夹，不需要后缀，路径下为全局异常探测结果/局部异常探测结果，以csv的形式保存"
      data_type: csv
      data_semantic: anomaly detection result


application:
  domain: 流空间异常探测
  objective:
  dimension:
  spatial_resolution:
  spatial_reference:
  mechanism:

operation:
  usage: 该算法需要五个参数，人群移动数据(dataPath_1)，数据(dataPath_2)，显著性水平阈值(a)，全局异常探测/局部异常探测(GorP)，异常探测结果(output)。
  exec_example:
    - docker run -v $(pwd):/data flow_adjacency_based_anomaly_detection:1.0 --dataPath_1 ../data/test1.csv --dataPath_2 ../data/test2.csv --a 0.05 --output ../data/output
    - docker run -v $(pwd):/data flow_adjacency_based_anomaly_detection:1.0 --dataPath_1 ../data/test1.csv --dataPath_2 ../data/test2.csv --a 0.1 --output ../data/output
  output_display:
    - "异常探测结果输出路径，路径下为全局异常探测结果/局部异常探测结果，以csv的形式保存,不需要可视化展示"

technique:
  language:
    - Python
  os:
    - Linux
    - Windows

source:
  maintainer: Shiyi Li
  organization: Central South University
  contact: 1749405717@qq.com
  repository:
  integrated_softwares:
    - name: scikit-learn
      version: 0.24.0
      license: BSD
  references:
    - "石岩,王达,陈袁芳,等.流空间邻近关系约束下的流行病分布空间异常探测方法.测绘学报,2021,50(6):777–788."

